.error-zone {
  color: var(--red);
}

.container {
  max-width: 1280px;
}

.loading-zone {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  height: 100vh;

  .loading-info {
    padding: 10%;
    background-color: #E0E0E0;
    border: 1px solid black;
    border-radius: 20px;
    font-size: 2.5em;

    &.error {
      text-align: center;
      background-color: #FFDDDD;
      border-color: var(--red);
      color: var(--red);

      a {
        display: block;
        margin-top: 30px;
      }
    }
  }
}

.main-zone {
  border-right: 1px solid var(--dark);
}

.right-zone {
  padding-left: 0;
}

.top-zone,
.middle-zone,
.bottom-zone {
  padding: 10px 0;
}

.top-zone,
.middle-zone {
  border-bottom: 1px solid var(--dark);
}

.middle-zone {
  justify-content: flex-end;
  padding-right: 20px;
}

.deck {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 100px;
  height: 150px;
  margin: 5px 10px;
  border: 2px solid var(--dark);

  .deck-cards {
    font-size: 2.5em;
  }
}

.clue-zone {
  .clue-zone-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    align-content: space-between;
  }

  .clue-item {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 70px;
    margin: 5px 10px;
    border: 1px solid var(--dark);
    font-size: 1.5em;
    cursor: pointer;

    &.selected {
      background-color: #FFFFFF;
      font-weight: bold;
      border: 2px solid var(--dark);
    }
  }
}

.token-zone {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  margin-top: 20px;

  span {
    margin: 0 10px;
  }

  img {
    margin: 0 5px;
  }

  .clue-tokens {
    color: var(--blue);
  }

  .bomb-tokens {
    color: var(--red);
  }
}

.played-cards {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  border: 2px solid #EEEEEE;

  &.hoverable:hover {
    border: 2px solid var(--blue);
    cursor: pointer;
  }

  div {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 80px;
    height: 120px;
    margin: 10px 5px;
    border: 1px solid var(--dark);

    span {
      font-size: 2.2em;
    }
  }
}

.discarded-cards {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  align-content: space-between;
  width: 100%;
  margin-right: 10px;
  border: 2px solid #EEEEEE;

  &.hoverable:hover {
    border: 2px solid var(--red);
    cursor: pointer;
  }

  ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    align-content: space-between;

    li {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      width: 40px;
      height: 60px;
      margin: 5px;
      border: 1px solid var(--dark);

      &:first-child {
        border: 2px solid var(--dark);
      }

      &.none {
        border: none;
      }

      span {
        font-size: 1.5em;
      }
    }
  }
}

.player-zone {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: space-between;
  padding: 20px;
  border: 2px solid #EEEEEE;

  &.hoverable:hover {
    border: 2px solid var(--blue);
    cursor: pointer;
  }

  &:first-child .card-zone li {
    cursor: pointer;
  }

  .player-name {
    margin-right: 20px;

    &.active span {
      font-weight: bold;
    }
  }

  .card-zone ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;

    li {
      position: relative;
      display: flex;
      flex-direction: row;
      align-items: flex-start;
      justify-content: center;
      align-content: space-between;
      width: 80px;
      height: 120px;
      margin: 5px;
      padding-top: 15px;
      border: 1px solid var(--dark);
      font-size: 2em;

      &.selected,
      &.highlighted {
        background-color: #FFFFFF;
        font-weight: bold;
        border: 2px solid var(--dark);
      }

      .clue {
        position: absolute;
        bottom: 0;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        width: 30px;
        border: 1px solid var(--dark);
        border-bottom: 0;
        font-size: 0.6em;
        font-weight: bold;

        &.clue-1 {
          left: 5px;
        }

        &.clue-2 {
          right: 5px;
        }
      }
    }
  }
}

.history-zone {
  padding: 20px;
  border-top: 1px solid var(--dark);

  h2 {
    font-size: 1.2em;
    font-weight: bold;
  }

  ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: space-between;
  }

  .message {
    margin: 5px 0;
    padding: 3px 10px;
    border-radius: 5px;
    background-color: #E0E0E0;
  }
}
